﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.Common;
using System.Data.SqlClient;
using System.IO;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
	}

	protected void RadGrid1_FilterCheckListItemsRequested(object sender, GridFilterCheckListItemsRequestedEventArgs e)
	{
		string DataField = (e.Column as IGridDataColumn).GetActiveDataField();
 
		e.ListBox.DataSource = GetDataTable(DataField);
		e.ListBox.DataKeyField = DataField;
		e.ListBox.DataTextField = DataField;
		e.ListBox.DataValueField = DataField;
		e.ListBox.DataBind();
	}
 
	public DataTable GetDataTable(string field)
	{
		string query = string.Format("SELECT DISTINCT {0} FROM Customers", field);
 
		String ConnString = ConfigurationManager.ConnectionStrings["NorthwindConnectionString"].ConnectionString;
		SqlConnection conn = new SqlConnection(ConnString);
		SqlDataAdapter adapter = new SqlDataAdapter();
		adapter.SelectCommand = new SqlCommand(query, conn);
 
		DataTable myDataTable = new DataTable();
 
		conn.Open();
		try
		{
			adapter.Fill(myDataTable);
		}
		finally
		{
			conn.Close();
		}
 
		return myDataTable;
	}

	protected override void OnPreRenderComplete(EventArgs e)
	{
		//you can access the menu to modify elements in this event http://docs.telerik.com/devtools/aspnet-ajax/controls/grid/columns/header-context-menu#add-items-to-headercontextmenu-in-order-to-set-dataformatstring-for-the-columns
		RadGrid1.HeaderContextMenu.CssClass += " myCustomWidth";
		base.OnPreRenderComplete(e);
	}
}